## wxProcessEvent

A process event is sent when a process is terminated.

Derived from

wxEvent
wxObject

Include files

<wx/process.h>

Event table macros

To process a wxProcessEvent, use these event handler macros to direct input to a member function that takes a wxProcessEvent argument.

EVT_END_PROCESS(id, func) | Process a wxEVT_END_PROCESS event. id is the identifier of the process object (the id passed to the wxProcess constructor) or a window to receive the event.

See also

wxProcess, Event handling overview

Members

wxProcessEvent::wxProcessEvent
wxProcessEvent::GetPid
wxProcessEvent::GetExitCode

### wxProcessEvent::wxProcessEvent

wxProcessEvent(int id = 0, int pid = 0, int exitcode = 0)

Constructor. Takes a wxProcessObject or window id, a process id and an exit status.

### wxProcessEvent::GetPid

int GetPid() const

Returns the process id.

### wxProcessEvent::GetExitCode

int GetExitCode()

Returns the exist status.